# 项目引入

## VUE 2

```js
import Vue from 'vue';   
import uedio from 'uedio';   

Vue.prototype.$uio = new uedio ('< 后台地址 >');
```

## VUE 3

```js
import { createApp } from 'vue'
import App from './App.vue' 
import uedio from 'uedio';

const app = createApp(App);
app.config.globalProperties.$uio = new uedio ('< 后台地址 >');
```

# 使用

## VUE 2

```js
this.$uio.post(info, callback)
```

## VUE 3

```js
import { getCurrentInstance } from "vue";
const { proxy } = getCurrentInstance();
proxy.$uio.post(info, callback)
```


# 标记类函数与方法

## setServer
修改Server

```js
this.$uio.setServer ('url')
```


## post
可为App记录任意属性，属性值仅可为字符串或数字。    
在单个生命周期中，对同一属性值的修改，会存在时间顺序上的覆盖。如果希望获得某一属性的变化记录，可使用log方法。

```js
this.$uio.post (info, callback)
```
- **info** object，用于传递字段    
- **callback** 回调函数，返回后端信息


